%define anolis_release 2

%global    defaultsanspkg    google-noto-sans-vf-fonts
%global    defaultserifpkg   google-noto-serif-vf-fonts
%global    defaultmonopkg    google-noto-sans-mono-vf-fonts

Name:      langpacks
Version:   3.0
Release:   %{anolis_release}%{?dist}
Summary:   Langpacks meta-package
License:   GPLv2+
BuildRequires: python3 fontconfig

Source0:   org.fedoraproject.LangPacks.xml
Source1:   org.fedoraproject.LangPacks-Core.xml
Source2:   org.fedoraproject.LangPacks-Core-Font.xml
Source3:   normlang.py

BuildArch: noarch
# to split up the AppStream file
BuildRequires: libappstream-glib >= 0.5.10 fontconfig

%description
Langpack meta-package to provide individual langpacks packages.

# langcore_pkg (defaultime,defaultfont,langcode,langname)
%define langcore_pkg(i:f:l:n:) \
%define langcode %{-l:%{-l*}}%{!-l:%{error:Language code not defined}} \
%define langname %{-n:%{-n*}}%{!-n:%{error:Language name not defined}} \
%define normcode %{lua:print((string.gsub(string.lower(rpm.expand("%{langcode}")), "_","-")))}\
%define langortho %(python3 %{SOURCE3} %{langcode}) \
%define lowerortho %{lua:print(string.lower(rpm.expand("%{langortho}")))}\
%define fontpkgcode %{lua:print((string.gsub(rpm.expand("%{langortho}"),"-","_")))}\
\
%package core-%{langcode}\
Summary: %{langname} langpacks core meta-package\
Requires: langpacks-core-font-%{fontpkgcode}\
%{-i:Requires: (%{-i*} if xorg-x11-server-Xorg)} \
\
%description core-%{langcode}\
This package provides %{langname} core langpacks packages.\
\
%files core-%{langcode}\
%{_datadir}/metainfo/org.fedoraproject.LangPack-Core-%{langcode}.metainfo.xml\
\
%if "%{normcode}" == "%{lowerortho}"\
%package core-font-%{fontpkgcode}\
Summary: %{langname} core font meta-package\
%{-f:Requires: %{-f*}}%{!-f:Requires: %{defaultsanspkg}} \
%{-l:Provides: font(:lang=%{lowerortho})}  \
%if "%{lowerortho}" != "%{fontpkgcode}"\
Provides: langpacks-core-font-%{lowerortho} = %{version}-%{release} \
Obsoletes: langpacks-core-font-%{lowerortho} < %{version}-%{release} \
%endif \
\
%description core-font-%{fontpkgcode}\
This package defines the default font for %{langname} language.\
\
%files core-font-%{fontpkgcode}\
%{_datadir}/metainfo/org.fedoraproject.LangPack-Core-Font-%{fontpkgcode}.metainfo.xml\
%endif

%package af
Summary: Afrikaans langpacks meta-package
Requires: %{name}-core-af

%description af
This package provides Afrikaans langpacks meta-package.

%package am
Summary: Amharic langpacks meta-package
Requires: %{name}-core-am

%description am
This package provides Amharic langpacks meta-package.

%langcore_pkg -l am -n Amharic -f google-noto-sans-ethiopic-vf-fonts

%package ar
Summary: Arabic langpacks meta-package
Requires: %{name}-core-ar
Recommends: %{defaultmonopkg}
Recommends: paktype-naqsh-fonts
Recommends: paktype-tehreer-fonts

%description ar
This package provides Arabic langpacks meta-package.

%package as
Summary: Assamese langpacks meta-package
Requires: %{name}-core-as

%description as
This package provides Assamese langpacks meta-package.

%package ast
Summary: Asturian langpacks meta-package
Requires: %{name}-core-ast
Recommends: %{defaultsanspkg}

%description ast
This package provides Asturian langpacks meta-package.

%package be
Summary: Belarusian langpacks meta-package
Requires: %{name}-core-be

%description be
This package provides Belarusian langpacks meta-package.

%package bg
Summary: Bulgarian langpacks meta-package
Requires: %{name}-core-bg

%description bg
This package provides Bulgarian langpacks meta-package.

%package bn
Summary: Bengali langpacks meta-package
Requires: %{name}-core-bn

%description bn
This package provides Bengali langpacks meta-package.

%package bo
Summary: Tibetan langpacks meta-package
Requires: %{name}-core-bo

%description bo
This package provides Tibetan langpacks meta-package.

%package br
Summary: Breton langpacks meta-package
Requires: %{name}-core-br

%description br
This package provides Breton langpacks meta-package.

%package bs
Summary: Bosnian langpacks meta-package
Requires: %{name}-core-bs

%description bs
This package provides Bosnian langpacks meta-package.

%package ca
Summary: Catalan langpacks meta-package
Requires: %{name}-core-ca

%description ca
This package provides Catalan langpacks meta-package.

%package chr
Summary: Cherokee langpacks meta-package
Requires: %{name}-core-chr

%description chr
This package provides Cherokee langpacks meta-package.

%package cs
Summary: Czech langpacks meta-package
Requires: %{name}-core-cs

%description cs
This package provides Czech langpacks meta-package.

%package cy
Summary: Welsh langpacks meta-package
Requires: %{name}-core-cy

%description cy
This package provides Welsh langpacks meta-package.

%package da
Summary: Danish langpacks meta-package
Requires: %{name}-core-da

%description da
This package provides Danish langpacks meta-package.

%package de
Summary: German langpacks meta-package
Requires: %{name}-core-de

%description de
This package provides German langpacks meta-package.

%package dv
Summary: Divehi langpacks meta-package
Requires: %{name}-core-dv

%description dv
This package provides Divehi langpacks meta-package.

%package dz
Summary: Bhutanese langpacks meta-package
Requires: %{name}-core-dz

%description dz
This package provides Bhutanese langpacks meta-package.

%package el
Summary: Greek langpacks meta-package
Requires: %{name}-core-el

%description el
This package provides Greek langpacks meta-package.

%package en
Summary: English langpacks meta-package
Requires: %{name}-core-en

%description en
This package provides English langpacks meta-package.

%package en_GB
Summary: English (United Kingdom) langpacks meta-package
Requires: %{name}-core-en_GB

%description en_GB
This package provides English (United Kingdom) langpacks meta-package.

%package eo
Summary: Esperanto langpacks meta-package
Requires: %{name}-core-eo

%description eo
This package provides Esperanto langpacks meta-package.

%package es
Summary: Spanish langpacks meta-package
Requires: %{name}-core-es

%description es
This package provides Spanish langpacks meta-package.

%package et
Summary: Estonian langpacks meta-package
Requires: %{name}-core-et

%description et
This package provides Estonian langpacks meta-package.

%package eu
Summary: Basque langpacks meta-package
Requires: %{name}-core-eu

%description eu
This package provides Basque langpacks meta-package.

%package fa
Summary: Persian langpacks meta-package
Requires: %{name}-core-fa

%description fa
This package provides Persian langpacks meta-package.

%package fi
Summary: Finnish langpacks meta-package
Requires: %{name}-core-fi

%description fi
This package provides Finnish langpacks meta-package.

%package fr
Summary: French langpacks meta-package
Requires: %{name}-core-fr

%description fr
This package provides French langpacks meta-package.

%package ga
Summary: Irish langpacks meta-package
Requires: %{name}-core-ga

%description ga
This package provides Irish langpacks meta-package.

%package gl
Summary: Galician langpacks meta-package
Requires: %{name}-core-gl

%description gl
This package provides Galician langpacks meta-package.

%package gu
Summary: Gujarati langpacks meta-package
Requires: %{name}-core-gu

%description gu
This package provides Gujarati langpacks meta-package.

%package he
Summary: Hebrew langpacks meta-package
Requires: %{name}-core-he
Recommends: culmus-aharoni-clm-fonts
Recommends: culmus-caladings-clm-fonts
Recommends: culmus-david-clm-fonts
Recommends: culmus-drugulin-clm-fonts
Recommends: culmus-ellinia-clm-fonts
Recommends: culmus-frank-ruehl-clm-fonts
Recommends: culmus-hadasim-clm-fonts
Recommends: culmus-keteryg-fonts
Recommends: culmus-miriam-clm-fonts
Recommends: culmus-miriam-mono-clm-fonts
Recommends: culmus-nachlieli-clm-fonts
Recommends: culmus-simple-clm-fonts
Recommends: culmus-stamashkenaz-clm-fonts
Recommends: culmus-stamsefarad-clm-fonts
Recommends: culmus-yehuda-clm-fonts
Recommends: google-noto-rashi-hebrew-vf-fonts

%description he
This package provides Hebrew langpacks meta-package.

%package hi
Summary: Hindi langpacks meta-package
Requires: %{name}-core-hi

%description hi
This package provides Hindi langpacks meta-package.

%package hr
Summary: Croatian langpacks meta-package
Requires: %{name}-core-hr

%description hr
This package provides Croatian langpacks meta-package.

%package hu
Summary: Hungarian langpacks meta-package
Requires: %{name}-core-hu

%description hu
This package provides Hungarian langpacks meta-package.

%package hy
Summary: Armenian langpacks meta-package
Requires: %{name}-core-hy
Recommends: google-noto-serif-armenian-vf-fonts

%description hy
This package provides Armenian langpacks meta-package.

%package ia
Summary: Interlingua langpacks meta-package
Requires: %{name}-core-ia

%description ia
This package provides Interlingua langpacks meta-package.

%package id
Summary: Indonesian langpacks meta-package
Requires: %{name}-core-id

%description id
This package provides Indonesian langpacks meta-package.

%package is
Summary: Icelandic langpacks meta-package
Requires: %{name}-core-is

%description is
This package provides Icelandic langpacks meta-package.


%package it
Summary: Italian langpacks meta-package
Requires: %{name}-core-it

%description it
This package provides Italian langpacks meta-package.

%package iu
Summary: Inuktitut langpacks meta-package
Requires: %{name}-core-iu

%description iu
This package provides Inuktitut langpacks meta-package.

%package ja
Summary: Japanese langpacks meta-package
Requires: %{name}-core-ja
Recommends: google-noto-serif-cjk-ttc-fonts

%description ja
This package provides Japanese langpacks meta-package.

%package ka
Summary: Georgian langpacks meta-package
Requires: %{name}-core-ka
Recommends: %{defaultmonopkg}
Recommends: %{defaultserifpkg}

%description ka
This package provides Georgian langpacks meta-package.

%package kk
Summary: Kazakh langpacks meta-package
Requires: %{name}-core-kk

%description kk
This package provides Kazakh langpacks meta-package.

%package km
Summary: Khmer langpacks meta-package
Requires: %{name}-core-km
Recommends: khmer-os-battambang-fonts
Recommends: khmer-os-bokor-fonts
Recommends: khmer-os-content-fonts
Recommends: khmer-os-fasthand-fonts
Recommends: khmer-os-freehand-fonts
Recommends: khmer-os-handwritten-fonts
Recommends: khmer-os-metal-chrieng-fonts
Recommends: khmer-os-muol-fonts-all
Recommends: khmer-os-siemreap-fonts

%description km
This package provides Khmer langpacks meta-package.

%package kn
Summary: Kannada langpacks meta-package
Requires: %{name}-core-kn
Recommends: gubbi-fonts
Recommends: navilu-fonts

%description kn
This package provides Kannada langpacks meta-package.

%package ko
Summary: Korean langpacks meta-package
Requires: %{name}-core-ko
Recommends: google-noto-serif-cjk-ttc-fonts

%description ko
This package provides Korean langpacks meta-package.

%package ku
Summary: Kurdish langpacks meta-package
Requires: %{name}-core-ku

%description ku
This package provides Kurdish langpacks meta-package.

%package lo
Summary: Lao langpacks meta-package
Requires: %{name}-core-lo
Requires: google-noto-serif-lao-vf-fonts

%description lo
This package provides Lao langpacks meta-package.

%package lt
Summary: Lithuanian langpacks meta-package
Requires: %{name}-core-lt

%description lt
This package provides Lithuanian langpacks meta-package.

%package lv
Summary: Latvian langpacks meta-package
Requires: %{name}-core-lv

%description lv
This package provides Latvian langpacks meta-package.


%package mai
Summary: Maithili langpacks meta-package
Requires: %{name}-core-mai

%description mai
This package provides Maithili langpacks meta-package.


%package mk
Summary: Macedonian langpacks meta-package
Requires: %{name}-core-mk

%description mk
This package provides Macedonian langpacks meta-package.

%package ml
Summary: Malayalam langpacks meta-package
Requires: %{name}-core-ml
Recommends: rit-rachana-fonts

%description ml
This package provides Malayalam langpacks meta-package.

%package mr
Summary: Marathi langpacks meta-package
Requires: %{name}-core-mr

%description mr
This package provides Marathi langpacks meta-package.

%package ms
Summary: Malay langpacks meta-package
Requires: %{name}-core-ms

%description ms
This package provides Malay langpacks meta-package.

%package my
Summary: Burmese langpacks meta-package
Requires: %{name}-core-my

%description my
This package provides Burmese langpacks meta-package.

%package nb
Summary: Norwegian Bokmål langpacks meta-package
Requires: %{name}-core-nb

%description nb
This package provides Norwegian Bokmål langpacks meta-package.

%package ne
Summary: Nepali langpacks meta-package
Requires: %{name}-core-ne

%description ne
This package provides Nepali langpacks meta-package.

%package nl
Summary: Dutch langpacks meta-package
Requires: %{name}-core-nl

%description nl
This package provides Dutch langpacks meta-package.

%package nn
Summary: Nynorsk langpacks meta-package
Requires: %{name}-core-nn

%description nn
This package provides Nynorsk langpacks meta-package.

%package nr
Summary: Southern Ndebele langpacks meta-package
Requires: %{name}-core-nr

%description nr
This package provides Southern Ndebele langpacks meta-package.


%package nso
Summary: Northern Sotho langpacks meta-package
Requires: %{name}-core-nso

%description nso
This package provides Northern Sotho langpacks meta-package.

%package or
Summary: Odia langpacks meta-package
Requires: %{name}-core-or

%description or
This package provides Odia langpacks meta-package.

%package pa
Summary: Punjabi langpacks meta-package
Requires: %{name}-core-pa
Recommends: saab-fonts

%description pa
This package provides Punjabi langpacks meta-package.

%package pl
Summary: Polish langpacks meta-package
Requires: %{name}-core-pl

%description pl
This package provides Polish langpacks meta-package.

%package pt_BR
Summary: Portuguese (Brazil) langpacks meta-package
Requires: %{name}-core-pt_BR

%description pt_BR
This package provides Portuguese (Brazil) langpacks meta-package.

%package pt
Summary: Portuguese langpacks meta-package
Requires: %{name}-core-pt

%description pt
This package provides Portuguese langpacks meta-package.

%package ro
Summary: Romanian langpacks meta-package
Requires: %{name}-core-ro

%description ro
This package provides Romanian langpacks meta-package.

%package ru
Summary: Russian langpacks meta-package
Requires: %{name}-core-ru
Recommends: pt-sans-fonts

%description ru
This package provides Russian langpacks meta-package.

%package si
Summary: Sinhala langpacks meta-package
Requires: %{name}-core-si
Recommends: google-noto-serif-sinhala-vf-fonts

%description si
This package provides Sinhala langpacks meta-package.

%package sk
Summary: Slovak langpacks meta-package
Requires: %{name}-core-sk

%description sk
This package provides Slovak langpacks meta-package.

%package sl
Summary: Slovenian langpacks meta-package
Requires: %{name}-core-sl

%description sl
This package provides Slovenian langpacks meta-package.


%package sq
Summary: Albanian langpacks meta-package
Requires: %{name}-core-sq

%description sq
This package provides Albanian langpacks meta-package.

%package sr
Summary: Serbian langpacks meta-package
Requires: %{name}-core-sr

%description sr
This package provides Serbian langpacks meta-package.


%package ss
Summary: Swati langpacks meta-package
Requires: %{name}-core-ss

%description ss
This package provides Swati langpacks meta-package.

%package sv
Summary: Swedish langpacks meta-package
Requires: %{name}-core-sv

%description sv
This package provides Swedish langpacks meta-package.


%package ta
Summary: Tamil langpacks meta-package
Requires: %{name}-core-ta

%description ta
This package provides Tamil langpacks meta-package.

%package te
Summary: Telugu langpacks meta-package
Requires: %{name}-core-te

%description te
This package provides Telugu langpacks meta-package.

%package th
Summary: Thai langpacks meta-package
Requires: %{name}-core-th

%description th
This package provides Thai langpacks meta-package.

%package tn
Summary: Tswana langpacks meta-package
Requires: %{name}-core-tn

%description tn
This package provides Tswana langpacks meta-package.

%package tr
Summary: Turkish langpacks meta-package
Requires: %{name}-core-tr

%description tr
This package provides Turkish langpacks meta-package.

%package ts
Summary: Tsonga langpacks meta-package
Requires: %{name}-core-ts

%description ts
This package provides Tsonga langpacks meta-package.

%package uk
Summary: Ukrainian langpacks meta-package
Requires: %{name}-core-uk

%description uk
This package provides Ukrainian langpacks meta-package.


%package ur
Summary: Urdu langpacks meta-package
Requires: %{name}-core-ur
Recommends: %{defaultsanspkg}
Recommends: %{defaultmonopkg}

%description ur
This package provides Urdu langpacks meta-package.


%package ve
Summary: Venda langpacks meta-package
Requires: %{name}-core-ve

%description ve
This package provides Venda langpacks meta-package.

%package vi
Summary: Vietnamese langpacks meta-package
Requires: %{name}-core-vi

%description vi
This package provides Vietnamese langpacks meta-package.

%package xh
Summary: Xhosa langpacks meta-package
Requires: %{name}-core-xh

%description xh
This package provides Xhosa langpacks meta-package.

%package yi
Summary: Yiddish langpacks meta-package
Requires: %{name}-core-yi
Recommends: culmus-aharoni-clm-fonts
Recommends: culmus-caladings-clm-fonts
Recommends: culmus-david-clm-fonts
Recommends: culmus-drugulin-clm-fonts
Recommends: culmus-ellinia-clm-fonts
Recommends: culmus-frank-ruehl-clm-fonts
Recommends: culmus-hadasim-clm-fonts
Recommends: culmus-keteryg-fonts
Recommends: culmus-miriam-clm-fonts
Recommends: culmus-miriam-mono-clm-fonts
Recommends: culmus-nachlieli-clm-fonts
Recommends: culmus-simple-clm-fonts
Recommends: culmus-stamashkenaz-clm-fonts
Recommends: culmus-stamsefarad-clm-fonts
Recommends: culmus-yehuda-clm-fonts

%description yi
This package provides Yiddish langpacks meta-package.

%package zh_CN
Summary: Simplified Chinese langpacks meta-package
Requires: %{name}-core-zh_CN
Recommends: google-noto-serif-cjk-ttc-fonts

%description zh_CN
This package provides Simplified Chinese langpacks meta-package.

%package zh_HK
Summary: Hong Kong Traditional Chinese langpacks meta-package
Requires: %{name}-core-zh_HK
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: ibus-table-chinese-quick

%description zh_HK
This package provides Hong Kong Traditional Chinese langpacks meta-package.

%package zh_TW
Summary: Taiwan langpacks meta-package
Requires: %{name}-core-zh_TW
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: ibus-table-chinese-cangjie
Recommends: ibus-table-chinese-quick

%description zh_TW
This package provides Taiwan Traditional Chinese langpacks meta-package.

%package zu
Summary: Zulu langpacks meta-package
Requires: %{name}-core-zu

%description zu
This package provides Zulu langpacks meta-package.

%prep
# nothing to prep

%build
# nothing to build

%install
mkdir -p %{buildroot}/usr/share/metainfo
DESTDIR=%{buildroot} appstream-util split-appstream %{SOURCE0}
DESTDIR=%{buildroot} appstream-util split-appstream %{SOURCE1}
DESTDIR=%{buildroot} appstream-util split-appstream %{SOURCE2}

%files af
%{_datadir}/metainfo/org.fedoraproject.LangPack-af.metainfo.xml
%langcore_pkg -l af -n Afrikaans

%files am
%{_datadir}/metainfo/org.fedoraproject.LangPack-am.metainfo.xml

%files ar
%{_datadir}/metainfo/org.fedoraproject.LangPack-ar.metainfo.xml
%langcore_pkg -l ar -n Arabic -f google-noto-sans-arabic-vf-fonts

%files as
%{_datadir}/metainfo/org.fedoraproject.LangPack-as.metainfo.xml
%langcore_pkg -l as -n Assamese -f lohit-assamese-fonts -i ibus-m17n

%files ast
%{_datadir}/metainfo/org.fedoraproject.LangPack-ast.metainfo.xml
%langcore_pkg -l ast -n Asturian

%files be
%{_datadir}/metainfo/org.fedoraproject.LangPack-be.metainfo.xml
%langcore_pkg -l be -n Belarusian

%files bg
%{_datadir}/metainfo/org.fedoraproject.LangPack-bg.metainfo.xml
%langcore_pkg -l bg -n Bulgarian

%files bn
%{_datadir}/metainfo/org.fedoraproject.LangPack-bn.metainfo.xml
%langcore_pkg -l bn -n Bengali -f lohit-bengali-fonts -i ibus-m17n

%files bo
%{_datadir}/metainfo/org.fedoraproject.LangPack-bo.metainfo.xml
%langcore_pkg -l bo -n Tibetan -f jomolhari-fonts -i ibus-m17n

%files br
%{_datadir}/metainfo/org.fedoraproject.LangPack-br.metainfo.xml
%langcore_pkg -l br -n Breton

%files bs
%{_datadir}/metainfo/org.fedoraproject.LangPack-bs.metainfo.xml
%langcore_pkg -l bs -n Bosnian

%files ca
%{_datadir}/metainfo/org.fedoraproject.LangPack-ca.metainfo.xml
%langcore_pkg -l ca -n Catalan

%files chr
%{_datadir}/metainfo/org.fedoraproject.LangPack-chr.metainfo.xml
%langcore_pkg -l chr -n Cherokee -f google-noto-sans-cherokee-vf-fonts

%files cs
%{_datadir}/metainfo/org.fedoraproject.LangPack-cs.metainfo.xml
%langcore_pkg -l cs -n Czech

%files cy
%{_datadir}/metainfo/org.fedoraproject.LangPack-cy.metainfo.xml
%langcore_pkg -l cy -n Welsh

%files da
%{_datadir}/metainfo/org.fedoraproject.LangPack-da.metainfo.xml
%langcore_pkg -l da -n Danish

%files de
%{_datadir}/metainfo/org.fedoraproject.LangPack-de.metainfo.xml
%langcore_pkg -l de -n German

%files dv
%{_datadir}/metainfo/org.fedoraproject.LangPack-dv.metainfo.xml
%langcore_pkg -l dv -n Divehi -f google-noto-sans-thaana-vf-fonts

%files dz
%{_datadir}/metainfo/org.fedoraproject.LangPack-dz.metainfo.xml
%langcore_pkg -l dz -n Bhutanese

%files el
%{_datadir}/metainfo/org.fedoraproject.LangPack-el.metainfo.xml
%langcore_pkg -l el -n Greek

%files en
%{_datadir}/metainfo/org.fedoraproject.LangPack-en.metainfo.xml
%langcore_pkg -l en -n English

%files en_GB
%{_datadir}/metainfo/org.fedoraproject.LangPack-en_GB.metainfo.xml
%langcore_pkg -l en_GB -n %{quote:English (United Kingdom)}

%files eo
%{_datadir}/metainfo/org.fedoraproject.LangPack-eo.metainfo.xml
%langcore_pkg -l eo -n Esperanto

%files es
%{_datadir}/metainfo/org.fedoraproject.LangPack-es.metainfo.xml
%langcore_pkg -l es -n Spanish

%files et
%{_datadir}/metainfo/org.fedoraproject.LangPack-et.metainfo.xml
%langcore_pkg -l et -n Estonian

%files eu
%{_datadir}/metainfo/org.fedoraproject.LangPack-eu.metainfo.xml
%langcore_pkg -l eu -n Basque

%files fa
%{_datadir}/metainfo/org.fedoraproject.LangPack-fa.metainfo.xml
%langcore_pkg -l fa -n Persian

%files fi
%{_datadir}/metainfo/org.fedoraproject.LangPack-fi.metainfo.xml
%langcore_pkg -l fi -n Finnish

%files fr
%{_datadir}/metainfo/org.fedoraproject.LangPack-fr.metainfo.xml
%langcore_pkg -l fr -n French

%files ga
%{_datadir}/metainfo/org.fedoraproject.LangPack-ga.metainfo.xml
%langcore_pkg -l ga -n Irish

%files gl
%{_datadir}/metainfo/org.fedoraproject.LangPack-gl.metainfo.xml
%langcore_pkg -l gl -n Galician

%files gu
%{_datadir}/metainfo/org.fedoraproject.LangPack-gu.metainfo.xml
%langcore_pkg -l gu -n Gujarati -f lohit-gujarati-fonts -i ibus-m17n

%files he
%{_datadir}/metainfo/org.fedoraproject.LangPack-he.metainfo.xml
%langcore_pkg -l he -n Hebrew -f google-noto-sans-hebrew-vf-fonts

%files hi
%{_datadir}/metainfo/org.fedoraproject.LangPack-hi.metainfo.xml
%langcore_pkg -l hi -n Hindi -f lohit-devanagari-fonts -i ibus-m17n

%files hr
%{_datadir}/metainfo/org.fedoraproject.LangPack-hr.metainfo.xml
%langcore_pkg -l hr -n Croatian

%files hu
%{_datadir}/metainfo/org.fedoraproject.LangPack-hu.metainfo.xml
%langcore_pkg -l hu -n Hungarian

%files hy
%{_datadir}/metainfo/org.fedoraproject.LangPack-hy.metainfo.xml
%langcore_pkg -l hy -n Armenian -f google-noto-sans-armenian-vf-fonts

%files ia
%{_datadir}/metainfo/org.fedoraproject.LangPack-ia.metainfo.xml
%langcore_pkg -l ia -n Interlingua

%files id
%{_datadir}/metainfo/org.fedoraproject.LangPack-id.metainfo.xml
%langcore_pkg -l id -n Indonesian

%files is
%{_datadir}/metainfo/org.fedoraproject.LangPack-is.metainfo.xml
%langcore_pkg -l is -n Icelandic

%files it
%{_datadir}/metainfo/org.fedoraproject.LangPack-it.metainfo.xml
%langcore_pkg -l it -n Italian

%files iu
%{_datadir}/metainfo/org.fedoraproject.LangPack-iu.metainfo.xml
%langcore_pkg -l iu -n Inuktitut -f google-noto-sans-canadian-aboriginal-vf-fonts

%files ja
%{_datadir}/metainfo/org.fedoraproject.LangPack-ja.metainfo.xml
%langcore_pkg -l ja -n Japanese -f google-noto-sans-cjk-ttc-fonts -i ibus-anthy

%files ka
%{_datadir}/metainfo/org.fedoraproject.LangPack-ka.metainfo.xml
%langcore_pkg -l ka -n Georgian -f google-noto-sans-georgian-vf-fonts

%files kk
%{_datadir}/metainfo/org.fedoraproject.LangPack-kk.metainfo.xml
%langcore_pkg -l kk -n Kazakh

%files km
%{_datadir}/metainfo/org.fedoraproject.LangPack-km.metainfo.xml
%langcore_pkg -l km -n Khmer -f khmer-os-system-fonts

%files kn
%{_datadir}/metainfo/org.fedoraproject.LangPack-kn.metainfo.xml
%langcore_pkg -l kn -n Kannada -f lohit-kannada-fonts -i ibus-m17n

%files ko
%{_datadir}/metainfo/org.fedoraproject.LangPack-ko.metainfo.xml
%langcore_pkg -l ko -n Korean -f google-noto-sans-cjk-ttc-fonts -i ibus-hangul

%files ku
%{_datadir}/metainfo/org.fedoraproject.LangPack-ku.metainfo.xml
%langcore_pkg -l ku -n Kurdish

%files lo
%{_datadir}/metainfo/org.fedoraproject.LangPack-lo.metainfo.xml
%langcore_pkg -l lo -n Lao -f google-noto-sans-lao-vf-fonts

%files lt
%{_datadir}/metainfo/org.fedoraproject.LangPack-lt.metainfo.xml
%langcore_pkg -l lt -n Lithuanian

%files lv
%{_datadir}/metainfo/org.fedoraproject.LangPack-lv.metainfo.xml
%langcore_pkg -l lv -n Latvian

%files mai
%{_datadir}/metainfo/org.fedoraproject.LangPack-mai.metainfo.xml
%langcore_pkg -l mai -n Maithili -f lohit-devanagari-fonts -i ibus-m17n

%files mk
%{_datadir}/metainfo/org.fedoraproject.LangPack-mk.metainfo.xml
%langcore_pkg -l mk -n Macedonian

%files ml
%{_datadir}/metainfo/org.fedoraproject.LangPack-ml.metainfo.xml
%langcore_pkg -l ml -n Malayalam -f rit-meera-new-fonts -i ibus-m17n

%files mr
%{_datadir}/metainfo/org.fedoraproject.LangPack-mr.metainfo.xml
%langcore_pkg -l mr -n Marathi -f lohit-marathi-fonts -i ibus-m17n

%files ms
%{_datadir}/metainfo/org.fedoraproject.LangPack-ms.metainfo.xml
%langcore_pkg -l ms -n Malay

%files my
%{_datadir}/metainfo/org.fedoraproject.LangPack-my.metainfo.xml
%langcore_pkg -l my -n Burmese -f sil-padauk-fonts

%files nb
%{_datadir}/metainfo/org.fedoraproject.LangPack-nb.metainfo.xml
%langcore_pkg -l nb -n %{quote:Norwegian Bokmål}

%files ne
%{_datadir}/metainfo/org.fedoraproject.LangPack-ne.metainfo.xml
%langcore_pkg -l ne -n Nepali -f lohit-devanagari-fonts madan-fonts -i ibus-m17n

%files nl
%{_datadir}/metainfo/org.fedoraproject.LangPack-nl.metainfo.xml
%langcore_pkg -l nl -n Dutch

%files nn
%{_datadir}/metainfo/org.fedoraproject.LangPack-nn.metainfo.xml
%langcore_pkg -l nn -n Nynorsk

%files nr
%{_datadir}/metainfo/org.fedoraproject.LangPack-nr.metainfo.xml
%langcore_pkg -l nr -n %{quote:Southern Ndebele}

%files nso
%{_datadir}/metainfo/org.fedoraproject.LangPack-nso.metainfo.xml
%langcore_pkg -l nso -n %{quote:Northern Sotho}

%files or
%{_datadir}/metainfo/org.fedoraproject.LangPack-or.metainfo.xml
%langcore_pkg -l or -n Odia -f lohit-odia-fonts -i ibus-m17n

%files pa
%{_datadir}/metainfo/org.fedoraproject.LangPack-pa.metainfo.xml
%langcore_pkg -l pa -n Punjabi -f google-noto-sans-gurmukhi-vf-fonts -i ibus-m17n

%files pl
%{_datadir}/metainfo/org.fedoraproject.LangPack-pl.metainfo.xml
%langcore_pkg -l pl -n Polish

%files pt_BR
%{_datadir}/metainfo/org.fedoraproject.LangPack-pt_BR.metainfo.xml
%langcore_pkg -l pt_BR -n %{quote:Portuguese (Brazil)}

%files pt
%{_datadir}/metainfo/org.fedoraproject.LangPack-pt.metainfo.xml
%langcore_pkg -l pt -n Portuguese

%files ro
%{_datadir}/metainfo/org.fedoraproject.LangPack-ro.metainfo.xml
%langcore_pkg -l ro -n Romanian

%files ru
%{_datadir}/metainfo/org.fedoraproject.LangPack-ru.metainfo.xml
%langcore_pkg -l ru -n Russian

%files si
%{_datadir}/metainfo/org.fedoraproject.LangPack-si.metainfo.xml
%langcore_pkg -l si -n Sinhala -f google-noto-sans-sinhala-vf-fonts -i ibus-m17n

%files sk
%{_datadir}/metainfo/org.fedoraproject.LangPack-sk.metainfo.xml
%langcore_pkg -l sk -n Slovak

%files sl
%{_datadir}/metainfo/org.fedoraproject.LangPack-sl.metainfo.xml
%langcore_pkg -l sl -n Slovenian

%files sq
%{_datadir}/metainfo/org.fedoraproject.LangPack-sq.metainfo.xml
%langcore_pkg -l sq -n Albanian

%files sr
%{_datadir}/metainfo/org.fedoraproject.LangPack-sr.metainfo.xml
%langcore_pkg -l sr -n Serbian

%files ss
%{_datadir}/metainfo/org.fedoraproject.LangPack-ss.metainfo.xml
%langcore_pkg -l ss -n Swati

%files sv
%{_datadir}/metainfo/org.fedoraproject.LangPack-sv.metainfo.xml
%langcore_pkg -l sv -n Swedish

%files ta
%{_datadir}/metainfo/org.fedoraproject.LangPack-ta.metainfo.xml
%langcore_pkg -l ta -n Tamil -f lohit-tamil-fonts -i ibus-m17n

%files te
%{_datadir}/metainfo/org.fedoraproject.LangPack-te.metainfo.xml
%langcore_pkg -l te -n Telugu -f lohit-telugu-fonts -i ibus-m17n

%files th
%{_datadir}/metainfo/org.fedoraproject.LangPack-th.metainfo.xml
%langcore_pkg -l th -n Thai -f thai-scalable-waree-fonts -i ibus-m17n

%files tn
%{_datadir}/metainfo/org.fedoraproject.LangPack-tn.metainfo.xml
%langcore_pkg -l tn -n Tswana

%files tr
%{_datadir}/metainfo/org.fedoraproject.LangPack-tr.metainfo.xml
%langcore_pkg -l tr -n Turkish

%files ts
%{_datadir}/metainfo/org.fedoraproject.LangPack-ts.metainfo.xml
%langcore_pkg -l ts -n Tsonga

%files uk
%{_datadir}/metainfo/org.fedoraproject.LangPack-uk.metainfo.xml
%langcore_pkg -l uk -n Ukrainian

%files ur
%{_datadir}/metainfo/org.fedoraproject.LangPack-ur.metainfo.xml
%langcore_pkg -l ur -n Urdu -f paktype-naskh-basic-fonts -i ibus-m17n

%files ve
%{_datadir}/metainfo/org.fedoraproject.LangPack-ve.metainfo.xml
%langcore_pkg -l ve -n Venda

%files vi
%{_datadir}/metainfo/org.fedoraproject.LangPack-vi.metainfo.xml
%langcore_pkg -l vi -n Vietnamese -i ibus-m17n

%files xh
%{_datadir}/metainfo/org.fedoraproject.LangPack-xh.metainfo.xml
%langcore_pkg -l xh -n Xhosa

%files yi
%{_datadir}/metainfo/org.fedoraproject.LangPack-yi.metainfo.xml
%langcore_pkg -l yi -n Yiddish

%files zh_CN
%{_datadir}/metainfo/org.fedoraproject.LangPack-zh_CN.metainfo.xml
%langcore_pkg -l zh_CN -n %{quote:Simplified Chinese} -f google-noto-sans-cjk-ttc-fonts -i ibus-libpinyin

%files zh_HK
%{_datadir}/metainfo/org.fedoraproject.LangPack-zh_HK.metainfo.xml
%langcore_pkg -l zh_HK -n %{quote:Hong Kong Traditional Chinese} -f google-noto-sans-cjk-ttc-fonts -i ibus-table-chinese-cangjie

%files zh_TW
%{_datadir}/metainfo/org.fedoraproject.LangPack-zh_TW.metainfo.xml
%langcore_pkg -l zh_TW -n %{quote:Taiwan Traditional Chinese} -f google-noto-sans-cjk-ttc-fonts -i ibus-libzhuyin

%files zu
%{_datadir}/metainfo/org.fedoraproject.LangPack-zu.metainfo.xml
%langcore_pkg -l zu -n Zulu

%changelog
* Fri Apr 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.0-2
- Optimize the spec file

* Fri Mar 18 2022 forrest_ly <flin@linux.alibaba.com> - 3.0-1
- Init for Anolis OS 23
